//
//  SLFirstController.m
//  demos
//
//  Created by  on 12-3-31.
//  Copyright (c) 2012年 __MyCompanyName__. All rights reserved.
//

#import "SLFirstController.h"
#import "SLTipOverlay.h"
#import "SLTipOverlayController.h"

@interface SLFirstController ()

@end

@implementation SLFirstController

- (id)initWithStyle:(UITableViewStyle)style
{
    self = [super initWithStyle:style];
    if (self) {
        // Custom initialization
    }
    return self;
}

- (void)viewDidLoad
{
    [super viewDidLoad];
    //self.navigationItem.title = @"First";
    self.navigationController.navigationBarHidden = NO;
}

- (void)viewDidUnload
{
    [super viewDidUnload];
    // Release any retained subviews of the main view.
    // e.g. self.myOutlet = nil;
}

- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation
{
    return (interfaceOrientation == UIInterfaceOrientationPortrait);
}

#pragma mark - Table view data source

- (NSInteger)numberOfSectionsInTableView:(UITableView *)tableView
{
    return 1;
}

- (NSInteger)tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section
{
    return 12;
}

- (UITableViewCell *)tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath
{
    static NSString *CellIdentifier = @"Cell";
    UITableViewCell *cell = [tableView dequeueReusableCellWithIdentifier:CellIdentifier];
    if (cell == nil) {
        cell = [[UITableViewCell alloc] initWithStyle:UITableViewCellStyleSubtitle reuseIdentifier:@"Cell"];
    }
    cell.textLabel.text = @"tipoverlay";
    cell.detailTextLabel.text = @"公用提示窗口";
    switch (indexPath.row) {
        case 3:
            cell.textLabel.text = @"download";
            break;
        case 4:
            cell.textLabel.text = @"finished";
            break;
        default:
            break;
    }
    return cell;
}

/*
// Override to support conditional editing of the table view.
- (BOOL)tableView:(UITableView *)tableView canEditRowAtIndexPath:(NSIndexPath *)indexPath
{
    // Return NO if you do not want the specified item to be editable.
    return YES;
}
*/

/*
// Override to support editing the table view.
- (void)tableView:(UITableView *)tableView commitEditingStyle:(UITableViewCellEditingStyle)editingStyle forRowAtIndexPath:(NSIndexPath *)indexPath
{
    if (editingStyle == UITableViewCellEditingStyleDelete) {
        // Delete the row from the data source
        [tableView deleteRowsAtIndexPaths:[NSArray arrayWithObject:indexPath] withRowAnimation:UITableViewRowAnimationFade];
    }   
    else if (editingStyle == UITableViewCellEditingStyleInsert) {
        // Create a new instance of the appropriate class, insert it into the array, and add a new row to the table view
    }   
}
*/

/*
// Override to support rearranging the table view.
- (void)tableView:(UITableView *)tableView moveRowAtIndexPath:(NSIndexPath *)fromIndexPath toIndexPath:(NSIndexPath *)toIndexPath
{
}
*/

/*
// Override to support conditional rearranging of the table view.
- (BOOL)tableView:(UITableView *)tableView canMoveRowAtIndexPath:(NSIndexPath *)indexPath
{
    // Return NO if you do not want the item to be re-orderable.
    return YES;
}
*/
-(void)hideNaviBar{
    self.navigationController.navigationBarHidden = YES;
}
-(void)testLoadingTip{
    SLTipOverlay *tol = [SLTipOverlay sharedTipInController:self.navigationController];
    SLTipCommand *c1 = [SLTipCommand tipCommandForLoadingFinishedWithMessage:@"loading finished" LoadingProcess:1];
    [tol showCommand:c1];
}
-(void)testTip{
    SLTipOverlay *tol = [SLTipOverlay sharedTipInController:self.navigationController];
    SLTipCommand *c1 = [SLTipCommand tipCommandForMessage:@"第一条首轮对手"];
    SLTipCommand *c2 = [SLTipCommand tipCommandForLoadingWithMessage:@"i'am loading." LoadingProcess:0.1];
    SLTipCommand *c3 = [SLTipCommand tipCommandForMessage:@"thrid message"];
    [tol showCommand:c1];
//    [tol showCommand:c2];
    [tol showCommand:c3];
//    [self performSelector:@selector(testLoadingTip) withObject:nil afterDelay:8];
    [self performSelector:@selector(hideNaviBar) withObject:nil afterDelay:2];
}
-(void)showTipOverlayController{
    SLTipOverlayController *tc = [[SLTipOverlayController alloc] initWithNibName:@"SLTipOverlayController" bundle:nil];
    [self.navigationController pushViewController:tc animated:YES];
    [tc release];
}
#pragma mark - Table view delegate

- (void)tableView:(UITableView *)tableView didSelectRowAtIndexPath:(NSIndexPath *)indexPath
{
    [tableView deselectRowAtIndexPath:indexPath animated:YES];
    SLTipOverlay *tol = [SLTipOverlay sharedTipInController:self.navigationController];
    SLTipCommand *c1 = [SLTipCommand tipCommandForMessage:[NSString stringWithFormat:@"message:%d",indexPath.row]];
    c1.tag = 0;
    switch (indexPath.row) {
        case 3:
            c1.msg = @"Downloading...";
            c1.autoHide = NO;
            c1.loadingProcess = 0;
            break;
        case 4:
            c1.msg = @"download Finished!";
            c1.loadingProcess = 1;
            break;
        default:
            break;
    }
    [tol showCommand:c1];
}

@end
